Latest OS that will work with 3G iphone?

Soccy

macrumors newbie
Original poster
Sep 24, 2009
12
0
I have an OLD iphone 3G running 3.1.3 (7E18) 05.12.01

I have many apps that no longer run on anything below 4.0 and I've accidentally deleted them from my phone and my itunes updated them so now I can't use them.

My question is, what is the highest OS level I can run on my phone preserving my jailbreak. The unlock is not necessary since I do not have any service nor intend to have any service added to it. I use wifi hotspots and my home network.

I'd like to keep from restoring my phone to prevent losing info and preferences and cydia sources and packages. I do have pkgbkp installed but not sure how to use it.

Thanks
 

Ksizzle9

macrumors 6502a
Apr 15, 2011
566
1
Wirelessly posted (Mozilla/5.0 (iPhone; CPU iPhone OS 5_0_1 like Mac OS X) AppleWebKit/534.46 (KHTML, like Gecko) Version/5.1 Mobile/9A405 Safari/7534.48.3)

Yeah don't go to 4.2.1. It's absolutely terrible on there.
 

Soccy

macrumors newbie
Original poster
Sep 24, 2009
12
0
how slow is slow?

As it is, my phone runs really slow. Like 7-8 seconds to launch and use an app. Longer if it's an involved app like Pocket Informant (10-12 sec)

I'm pretty used to slow. Is the update going to be any different than what I'm used to now?

Thanks!
 

Applejuiced

macrumors Westmere
Apr 16, 2008
40,672
6,532
At the iPhone hacks section.
My question is, what is the highest OS level I can run on my phone preserving my jailbreak. The unlock is not necessary since I do not have any service nor intend to have any service added to it. I use wifi hotspots and my home network.

I'd like to keep from restoring my phone to prevent losing info and preferences and cydia sources and packages. I do have pkgbkp installed but not sure how to use it.

Thanks
You cannot restore/update to higher firmware without losing the JB.
You have to restore to stock or JB 4.2.1 ipsw and then install all your JB packages again. Either by using pkgbkp, manually one by one or use any other cydia batch installer.
But like others said the iphone 3G is a turtle on anything higher than 3.1.3
I would just get a used 3GS for around $100 or less and then go up to 5.0.1 and JB it.
It will run everything fine.
 
Register on MacRumors! This sidebar will go away, and you'll see fewer ads.